###
# Copyright (c) 2021, Pratyush Desai
# All rights reserved.
#
#
###

from supybot import conf, registry
try:
    from supybot.i18n import PluginInternationalization
    _ = PluginInternationalization('Reddit')
except:
    # Placeholder that allows to run the plugin on a bot
    # without the i18n module
    _ = lambda x: x


def configure(advanced):
    # This will be called by supybot to configure this module.  advanced is
    # a bool that specifies whether the user identified themself as an advanced
    # user or not.  You should effect your configuration by manipulating the
    # registry as appropriate.
    from supybot.questions import expect, anything, something, yn
    conf.registerPlugin('Reddit', True)


Reddit = conf.registerPlugin('Reddit')
# This is where your configuration variables (if any) should go.  For example:
# conf.registerGlobalValue(Reddit, 'someConfigVariableName',
#     registry.Boolean(False, _("""Help for someConfigVariableName.""")))

conf.registerNetworkValue(Reddit, 'client_id',
    registry.String("", _("""Guide to obtaining credentials can be found at
        https://praw.readthedocs.io/en/latest/getting_started/authentication.html""")))

conf.registerNetworkValue(Reddit, 'client_secret',
    registry.String("", _("""Guide to obtaining credentials can be found at
        https://praw.readthedocs.io/en/latest/getting_started/authentication.html""")))

conf.registerNetworkValue(Reddit, 'username',
    registry.String("", _("""Guide to obtaining credentials can be found at
        https://praw.readthedocs.io/en/latest/getting_started/authentication.html""")))

conf.registerNetworkValue(Reddit, 'password',
    registry.String("", _("""Guide to obtaining credentials can be found at
        https://praw.readthedocs.io/en/latest/getting_started/authentication.html""")))

conf.registerNetworkValue(Reddit, 'user_agent',
    registry.String("", _("""Guide to obtaining credentials can be found at
        https://praw.readthedocs.io/en/latest/getting_started/authentication.html""")))

# vim:set shiftwidth=4 tabstop=4 expandtab textwidth=79:
